- name: Install Alacritty PPA (Debian Based)
  become: true
  apt_repository:
    repo: "ppa:aslatter/ppa"
    validate_certs: no
    state: present
  when: ansible_facts['os_family'] == "Debian"

- name: Install Alacritty
  become: true
  package:
    name: alacritty
    state: present

- name: Setting up alacritty config file
  copy:
    src: dotfiles/alacritty.yml
    dest: ~/.alacritty.yml
    mode: preserve
  changed_when: false

- name: "Setting Alacritty theme"
  ansible.builtin.lineinfile:
    path: "~/.alacritty.yml"
    regexp: "^colors:"
    line: "colors: *{{ theme }}"
  changed_when: false

